# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Extract-VERSION
Version:	1.119
Release:	1.%{__distinit}%{__distvers}
Summary:	Extract a module version without running code
License:	Artistic-2.0
URL:		https://metacpan.org/release/Module-Extract-VERSION
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Extract-VERSION-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Safe)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.86
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More) >= 1
# Optional Tests
BuildRequires:	perl(Test::Manifest) >= 1.21
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Safe)
Requires:	perl(version) >= 0.86

%description
This module lets you pull out of module source code the version number for the
module. It assumes that there is only one $VERSION in the file.

%prep
%setup -q -n Module-Extract-VERSION-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README.pod SECURITY.md
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Extract::VERSION.3*

%changelog
* Tue Apr 15 2025 Paul Howarth <paul@city-fan.org> - 1.119-1
- Update to 1.119
  - Require a newer version.pm for v5.10.1 tests
- Use %%{make_build} and %%{make_install}

* Wed Jan 22 2025 Paul Howarth <paul@city-fan.org> - 1.118-1
- Update to 1.118
  - Refresh dist
- Package new SECURITY.md file

* Sun Feb 11 2024 Paul Howarth <paul@city-fan.org> - 1.117-1
- Update to 1.117
  - Refresh distro, update email address, move to BRIANDFOY

* Tue Jul 18 2023 Paul Howarth <paul@city-fan.org> - 1.116-2
- Drop MODULE_COMPAT dependency from Fedora 38 onwards

* Tue Oct 25 2022 Paul Howarth <paul@city-fan.org> - 1.116-1
- Update to 1.116
  - Fix problem with Safe compartment: don't import version:: since Safe
    already does that (GH#16)
- Use SPDX-format license tag

* Sun Jan  9 2022 Paul Howarth <paul@city-fan.org> - 1.115-1
- Update to 1.115
  - Fix link in README.pod

* Thu Jan 21 2021 Paul Howarth <paul@city-fan.org> - 1.114-1
- Update to 1.114
  - Freshen distro, dump Travis CI, add GitHub Actions

* Tue Jan  5 2021 Paul Howarth <paul@city-fan.org> - 1.113-14
- Switch upstream from search.cpan.org to metacpan.org

* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 1.113-5
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Dec  7 2016 Paul Howarth <paul@city-fan.org> - 1.113-1
- Update to 1.113
  - Fix a Perl 5.8 issue with Makefile.PL, even though the module requires
    Perl 5.10

* Tue Dec  6 2016 Paul Howarth <paul@city-fan.org> - 1.112-1
- Update to 1.112
  - Remove prereq.t test; upstream will do that locally
  - Hide some packages from PAUSE
- License changed to Artistic 2.0

* Tue Oct 18 2016 Paul Howarth <paul@city-fan.org> - 1.111-1
- Update to 1.111
  - Use a safe compartment
  - Require Perl 5.10 so named captures can be used
  - Support v5.12 and v5.14 PACKAGE NAMESPACE VERSION BLOCK
- Modernize spec since requirements not available on old distributions
- Drop now-redundant provides filter

* Tue Sep  6 2016 Paul Howarth <paul@city-fan.org> - 1.01-17
- Classify buildreqs by usage
- Simplify find command using -delete

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 1.01-11
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> - 1.01-5
- BR: perl(Carp), perl(File::Spec) and perl(Test::Manifest)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Aug 12 2011 Paul Howarth <paul@city-fan.org> - 1.01-2
- Filter bogus provide for perl(ExtUtils::MakeMaker::_version) (#728286)

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> - 1.01-1
- Initial RPM version
